using System.ComponentModel;

namespace Lada.Framework.Data.Enums
{
    public enum SitemapFrequency
    {
        [Description("Không bao giờ")]
        Never = 1,
        [Description("Hàng năm")]
        Yearly = 2,
        [Description("Hàng tháng")]
        Monthly = 3,
        [Description("Hàng tuần")]
        Weekly = 4,
        [Description("Hàng ngày")]
        Daily = 5,
        [Description("Hàng giờ")]
        Hourly = 6,
        [Description("Liên tục")]
        Always = 7
    }


    public struct Priority
    {
        public const double Homepage = 1;
        public const double MainLandingPages = 0.9;
        public const double OtherLandingPages = 0.85;
        public const double MainLinksOnNavigationBar = 0.8;
        public const double OtherPagesOnSite = 0.75;
        public const double TopArticles = 0.8;
        public const double Tags = 0.75;
        public const double OtherPages = 0.75;
    }
    public enum ContentType
    {
        [Description("Bài viết")]
        Post = 1,
        [Description("Dịch vụ công ty")]
        Product = 2,
        [Description("Việc làm")]
        JobPost = 3
    }

    public enum ProductType
    {
        [Description("Hàng hóa chung")]
        General = 1,
        [Description("Xe đạp, xe máy")]
        Bike = 2,
        [Description("Hàng gia dụng")]
        Household = 3,
        [Description("Xe tải nguyên chuyến")]
        Fulltrip = 6
    }

    public enum ScriptPosition
    {
        [Description("Head")]
        Head = 1,
        [Description("Body")]
        Body = 2,
        [Description("Footer")]
        Footer = 3
    }
}